<!--
<h1><%= t('.sign_up') %></h1>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
  <%= bootstrap_devise_error_messages! %>

  <div class="form-group">
    <%= f.label :email %>
    <%= f.email_field :email, autofocus: true, autocomplete: 'email', class: 'form-control' %>
  </div>

  <div class="form-group">
    <%= f.label :password %>
    <%= f.password_field :password, autocomplete: 'current-password', class: 'form-control' %>

    <% if @minimum_password_length %>
      <small class="form-text text-muted"><%= t('devise.shared.minimum_password_length', count: @minimum_password_length) %></small>
    <% end %>
  </div>

  <div class="form-group">
    <%= f.label :password_confirmation %>
    <%= f.password_field :password_confirmation, autocomplete: 'current-password', class: 'form-control' %>
  </div>

  <div class="form-group">
    <%= f.submit t('.sign_up'), class: 'btn btn-primary' %>
  </div>
<% end %>

<%= render 'devise/shared/links' %>
-->
<style>
main.form-signin {
  max-width: 350px;
  padding: 15px;
}
</style>
<main class='form-signin w-100 m-auto text-center'>
<h1 class='h3 mb-3 fw-normal'><%= t('.sign_up') %></h1>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
  <%= bootstrap_devise_error_messages! %>

  <div class="form-floating">
    <%= f.email_field :email, class: 'form-control', id: 'floatingInput', placeholder: 'name@example.com'   %>
    <%= f.label :email, for: 'floatingInput' %>
  </div>

  <div class="form-floating">
    
    <%= f.password_field :password, autocomplete: 'current-password', class: 'form-control', id: 'floatingPassword', placeholder: 'Password' %>
    <%= f.label :password, for: 'floatingInput' %>
    <% if @minimum_password_length %>
      <small class="form-text text-muted"><%= t('devise.shared.minimum_password_length', count: @minimum_password_length) %></small>
    <% end %>
  </div>

  <div class="form-floating">
    <%= f.password_field :password_confirmation, autocomplete: 'current-password', class: 'form-control', id: 'floatingPassword', placeholder: 'Password' %>
    <%= f.label :password_confirmation, for: 'floatingInput' %>
  </div>

  <div class="form-floating" style='padding-top:30px;'>
    <%= f.submit t('.sign_up'), class: 'w-100 btn btn-lg btn-warning' %>
  </div>
<% end %>

<%= render 'devise/shared/links' %>
</main>